Summary:	The GNU shar utilities for packaging and unpackaging shell archives
Name:		sharutils
Version:	4.15.2
Release:	%mkrel 7
License:	GPLv3
Group:		Archiving/Backup
Url:		https://www.gnu.org/software/sharutils/
Source0:	https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.xz
# Pass compilation with -Werror=format-security, bug #1037323
Patch0:		sharutils-4.14.2-Pass-compilation-with-Werror-format-security.patch
# Fix CVE-2018-1000097 (a heap buffer overflow in find_archive()),
# bug #1548019,
# <https://lists.gnu.org/archive/html/bug-gnu-utils/2018-02/msg00004.html>
Patch1:     %{name}-4.15.2-Fix-a-heap-buffer-overflow-in-find_archive.patch
# Adapt bundled gnulib to glibc-2.28
Patch2:     %{name}-4.15.2-fflush-adjust-to-glibc-2.28-libio.h-removal.patch
# Fix building with GCC 10,
# <https://lists.gnu.org/archive/html/bug-gnu-utils/2020-01/msg00001.html>
Patch3:     %{name}-4.15.2-Fix-building-with-GCC-10.patch
# Fix building with GCC 10,
# <https://lists.gnu.org/archive/html/bug-gnu-utils/2020-01/msg00001.html>
Patch4:     %{name}-4.15.2-Do-not-include-lib-md5.c-into-src-shar.c.patch
BuildRequires:	texinfo

%description
The sharutils package contains the GNU shar utilities, a set of tools
for encoding and decoding packages of files (in binary or text format)
in a special plain text format called shell archives (shar).  This
format can be sent through email (which can be problematic for
regular binary files).  The shar utility supports a wide range of
capabilities (compressing, uuencoding, splitting long files for
multi-part mailings, providing checksums), which make it very flexible
at creating shar files.  After the files have been sent, the unshar
tool scans mail messages looking for shar files.  Unshar automatically
strips off mail headers and introductory text and then unpacks the shar
files.

Install sharutils if you send binary files through email very often.

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--disable-rpath

%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/*
%{_infodir}/*
%{_mandir}/man?/*
#%%{_includedir}/sharutils/*


%changelog
* Thu Mar 17 2022 umeabot <umeabot> 4.15.2-7.mga9
+ Revision: 1797385
- Mageia 9 Mass Rebuild

* Wed May 13 2020 tv <tv> 4.15.2-6.mga8
+ Revision: 1583563
- Fix building with GCC 10

* Tue Feb 11 2020 umeabot <umeabot> 4.15.2-5.mga8
+ Revision: 1488981
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 03 2018 tv <tv> 4.15.2-4.mga7
+ Revision: 1256558
- fix build: Adapt bundled gnulib to glibc-2.28
- rely on filetriggers for info system (mga#23482)
+ kekepower <kekepower>
- Use new make macros

* Mon Mar 12 2018 kekepower <kekepower> 4.15.2-3.mga7
+ Revision: 1208262
- Add patch to fix a heap buffer overflow bug (mga#22739)

* Fri Feb 12 2016 umeabot <umeabot> 4.15.2-2.mga6
+ Revision: 958853
- Mageia 6 Mass Rebuild

* Sat Jul 25 2015 blino <blino> 4.15.2-1.mga6
+ Revision: 857230
- 4.15.2
- replace format build fix with Fedora's version

* Wed Oct 15 2014 umeabot <umeabot> 4.14-3.mga5
+ Revision: 740414
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.14-2.mga5
+ Revision: 689134
- Mageia 5 Mass Rebuild

* Tue Nov 05 2013 luigiwalser <luigiwalser> 4.14-1.mga5
+ Revision: 549747
- 4.14
- remove upstreamed portions of string format patch

* Sat Oct 19 2013 umeabot <umeabot> 4.13.5-2.mga4
+ Revision: 525271
- Mageia 4 Mass Rebuild

* Wed May 29 2013 luigiwalser <luigiwalser> 4.13.5-1.mga4
+ Revision: 432845
- rediff patch0
- 4.13.5

* Wed Jan 30 2013 luigiwalser <luigiwalser> 4.13.3-1.mga3
+ Revision: 393577
- 4.13.3

* Mon Jan 14 2013 umeabot <umeabot> 4.13.1-2.mga3
+ Revision: 381962
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 luigiwalser <luigiwalser> 4.13.1-1.mga3
+ Revision: 338734
- 4.13.1
- rediff string format patch and fix more format string errors
- remove no longer needed glibc patch

* Wed Dec 05 2012 cjw <cjw> 4.11.1-2.mga3
+ Revision: 327039
- patch1: remove warning about gets(), not available in glibc 2.16

* Sun Jun 12 2011 kharec <kharec> 4.11.1-1.mga2
+ Revision: 105442
- new version
  fix file list

* Wed Apr 13 2011 tv <tv> 4.11-1.mga1
+ Revision: 84584
- new release

* Sat Jan 08 2011 blino <blino> 4.10-1.mga1
+ Revision: 773
- imported package sharutils


* Sun Aug 29 2010 Thierry Vignaud <tv@mandriva.org> 4.10-1mdv2011.0
+ Revision: 574101
- new release

* Sun Mar 21 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.9-1mdv2010.1
+ Revision: 526234
- update to new version 4.9

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 4.7-7mdv2010.1
+ Revision: 520218
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.7-6mdv2010.0
+ Revision: 427138
- rebuild

* Sun Mar 08 2009 Emmanuel Andry <eandry@mandriva.org> 4.7-5mdv2009.1
+ Revision: 352761
- diff p0 to fix string format not literal

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 4.7-4mdv2009.0
+ Revision: 225438
- rebuild

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 4.7-3mdv2008.1
+ Revision: 179505
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 4.7-2mdv2008.0
+ Revision: 69923
- kill file require on info-install

* Sat Jul 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7-1mdv2008.0
+ Revision: 52024
- spec file clean
- new version


* Sat Jan 06 2007 Emmanuel Andry <eandry@mandriva.org> 4.6.3-1mdv2007.0
+ Revision: 104698
- New version 4.6.3
  %%mkrel
  drop patches
- Import sharutils

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 4.2.1-19mdk
- Rebuild

* Tue Apr 05 2005 Vincent Danen <vdanen@mandrakesoft.com> 4.2.1-18mdk
- P12: security fix for CAN-2004-1772
- P13: security fix for CAN-2004-1773
- P14: security fix for debian bug #302412

* Mon May 24 2004 Abel Cheung <deaddog@deaddog.org> 4.2.1-17mdk
- No need to link with libintl for gettext support
- Fix patch3 (add charset to po files)

* Sat Apr 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.2.1-16mdk
- relink against fixed libintl

* Fri Apr 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.2.1-15mdk
- relink with new libintl

